# $Id: dot.kshrc,v 1.14 2021/06/26 17:58:55 nanons Exp $
#
# Startup file for sh(1) and ksh(1)
#
# This file is sourced at every shell invocation if the $ENV enviroment
# variable is set to its path (see shell/dot.profile).  It is not a
# suitable place for exporting variables, use ~/.profile instead.

# Enable historic ksh(1) configuration
#. /etc/ksh.kshrc

# Record command history in this file to quickly reexecute past commands
# History can be accessed with the up/down arrow keys or ESC + j/k in
# vi mode (see below)
HISTFILE=~/.sh_history

# Keep at most this many commands in the history file
HISTSIZE=10000

# Don't record duplicate commands or commands that start with a space
# in the history file
HISTCONTROL=ignoredups:ignorespace

# Enable vi(1)-like keybindings at the command-line:
#	$ man -Otag=Vi_editing_mode ksh
set -o vi
